Page MenuHomePhabricator

Sunset of WDQ
Closed, ResolvedPublic

Description

Long before we had https://query.wikidata.org/ @Magnus created Wikidata Query ( http://wdq.wmflabs.org/ ). WDQ will be shut down at some point in the future. This is the task to track that. Before this can happen, tools should be switched and users informed so the shutting down of the service doesn't cause a lot disruption.

Other tasks that need to happen before this can be done can be made blocking for this one.

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptDec 16 2016, 11:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

In T143349#2963021 @yuvipanda shutdown a VM. Looks like http://wdq.wmflabs.org/stats and all queries are giving a time out now. Not sure it's related.

No, I shut down the VM that was being used before wdq got its own project, so it should be unrelated.

I started it back up just in case, but see no difference. Also restarted the wdq-mm service

If you can see http://wdq.wmflabs.org/ then the WDQ server is up and running. If the stats fail, that's an internal problem. I will look into it later, but won't have the time for several hours.

OK, so I couldn't get it to work again easily. WDQ been broken for weeks now, and I had exactly one single person ask about it, but I could successfully upgrade them to SPARQL.

Maybe we could just officially retire WDQ now?

OK, so I couldn't get it to work again easily. WDQ been broken for weeks now, and I had exactly one single person ask about it, but I could successfully upgrade them to SPARQL.
Maybe we could just officially retire WDQ now?

I agree. We've been gentle, people know that they should use sparql. Let's do the clean up. Would you agree to have http://wdq.wmflabs.org/ 301 -> https://query.wikidata.org/ ?

Can you do T153442 Magnus? I'll have a look at Pywikibot and do some clean up on Wikidata.

Yes, that redirect sounds sensible. Could someone do that on the VM config please, or do I have to change WDQ source code?

@Magnus : Do you need to do any server decommissioning or anything else as part of this sunset? Probably need a task for that and a task to clean up the wdq project on labs.

@Multichill AFAICT it's only wdq-mm-01 left in the wdq-mm project. Switched off since April 6.

bd808 added a subscriber: bd808.Jul 13 2017, 3:01 PM

Should the empty wdq-mm project be deleted as well?

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 11:26 PM

Closing this one. AFAIK Nothing left to be done.

Multichill closed this task as Resolved.Feb 12 2018, 6:29 PM
Multichill claimed this task.